Bug 1713232 - Review Request: openhantek - Hantek USB digital signal oscilloscope
Summary: Review Request: openhantek - Hantek USB digital signal oscilloscope
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitaly Zaitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-23 08:15 UTC by Vasiliy Glazov
Modified: 2019-06-13 06:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-13 06:47:19 UTC
vitaly: fedora-review+


Attachments (Terms of Use)

Description Vasiliy Glazov 2019-05-23 08:15:00 UTC
Spec URL: https://pkgs.rpmfusion.org/cgit/nonfree/openhantek.git/plain/openhantek.spec
SRPM URL: http://koji.rpmfusion.org/kojifiles/work/tasks/5599/325599/openhantek-2.07-1.fc31.src.rpm

Description:
OpenHantek is a free software for Hantek and compatible
(Voltcraft/Darkwire/Protek/Acetech) USB digital signal oscilloscopes.
Supported devices: 6022BE/BL.

Previously this package was in rpmfusion-nonfree repo. But in version 2.07 removed all nonfree firmwares from Hantek. Please see https://github.com/OpenHantek/openhantek/issues/240

Comment 2 Vitaly Zaitsev 2019-05-29 09:58:57 UTC
I already reviewed this package for RPM Fusion: https://bugzilla.rpmfusion.org/show_bug.cgi?id=4860

This package contains reverse-engineered firmwares. You need approval by Fedora Legal team.

Comment 3 Vitaly Zaitsev 2019-05-29 10:02:33 UTC
Additional information about this firmwares: https://github.com/OpenHantek/openhantek/issues/240#issuecomment-494361989

Comment 4 Peter Lemenkov 2019-05-29 10:09:48 UTC
(In reply to Vitaly Zaitsev from comment #2)
> I already reviewed this package for RPM Fusion:
> https://bugzilla.rpmfusion.org/show_bug.cgi?id=4860
> 
> This package contains reverse-engineered firmwares. You need approval by
> Fedora Legal team.

This might be a clean room RE so it could be acceptable (as it was with b43-openfwwf firmware before).

Comment 5 Vasiliy Glazov 2019-05-29 11:08:46 UTC
I asked in legal mail list.

Comment 6 Tom "spot" Callaway 2019-06-04 15:53:34 UTC
Firmware seems properly licensed and created. Lifting FE-Legal.

Comment 7 Vitaly Zaitsev 2019-06-04 16:15:02 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Apache License (v2.0)", "GPL (v2 or
     later) (with incorrect FSF address)", "GPL (v2 or later)", "GPL (v3 or
     later)". 189 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/udev,
     /usr/lib/udev/rules.d
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     openhantek
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openhantek-2.09-1.fc31.x86_64.rpm
          openhantek-debuginfo-2.09-1.fc31.x86_64.rpm
          openhantek-debugsource-2.09-1.fc31.x86_64.rpm
          openhantek-2.09-1.fc31.src.rpm
openhantek.x86_64: W: spelling-error Summary(en_US) Hantek -> Chantey
openhantek.x86_64: W: no-manual-page-for-binary OpenHantek
openhantek.src: W: spelling-error Summary(en_US) Hantek -> Chantey
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: openhantek-debuginfo-2.09-1.fc31.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
openhantek-debugsource.x86_64: W: invalid-url URL: https://github.com/OpenHantek/OpenHantek6022 <urlopen error [Errno -2] Name or service not known>
openhantek.x86_64: W: spelling-error Summary(en_US) Hantek -> Chantey
openhantek.x86_64: W: invalid-url URL: https://github.com/OpenHantek/OpenHantek6022 <urlopen error [Errno -2] Name or service not known>
openhantek.x86_64: W: no-manual-page-for-binary OpenHantek
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Source checksums
----------------
https://github.com/OpenHantek/OpenHantek6022/archive/v2.09.tar.gz :
  CHECKSUM(SHA256) this package     : 0d922f2d8c471a2e838bb3a26e52437350f4ff3e204bbb30164b4c3a811436eb
  CHECKSUM(SHA256) upstream package : 0d922f2d8c471a2e838bb3a26e52437350f4ff3e204bbb30164b4c3a811436eb


Requires
--------
openhantek (rpmlib, GLIBC filtered):
    hicolor-icon-theme
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.12)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5PrintSupport.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libfftw3.so.3()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libusb-1.0.so.0()(64bit)
    rtld(GNU_HASH)

openhantek-debuginfo (rpmlib, GLIBC filtered):

openhantek-debugsource (rpmlib, GLIBC filtered):



Provides
--------
openhantek:
    application()
    application(openhantek.desktop)
    openhantek
    openhantek(x86-64)

openhantek-debuginfo:
    debuginfo(build-id)
    openhantek-debuginfo
    openhantek-debuginfo(x86-64)

openhantek-debugsource:
    openhantek-debugsource
    openhantek-debugsource(x86-64)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1713232 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Shell-api, Generic
Disabled plugins: Java, Perl, Python, Haskell, SugarActivity, R, fonts, PHP, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 8 Vitaly Zaitsev 2019-06-04 16:18:39 UTC
Please add Requires: systemd-udev%{?_isa} to fix problem with udev directories ownership. It can be fixed during Fedora SCM import. Package approved.

Comment 9 Gwyn Ciesla 2019-06-05 12:41:23 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/openhantek


Note You need to log in before you can comment on or make changes to this bug.